### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Class RemoteResultSet

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.publish.RemoteResultSet

All Implemented Interfaces:
  `RemoteResultSetInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class RemoteResultSet extends UnicastRemoteObject implements RemoteResultSetInterface
Remotable interface corresponding to `java.sql.ResultSet`. This interface duplicates the methods of `java.sql.ResultSet` with minor changes for RMI compatability. Encapsulates a `java.sql.ResultSet` to allow access from a remote virtual machine. `RemoteResultSet` implements `RemoteResultSetInterface`. Method signatures and behavior of this class are identical to the encapsulated `ResultSet`.

Since:
  1.0
See Also:
  - `ResultSet`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RemoteResultSet()`
  Constructs a default instance.
  `protected`
  `RemoteResultSet(Class theClass)`
  Constructs an instance using RMI socket factories appropriate for the specified class.
  ``
  `RemoteResultSet(ResultSet resultSet)`
  Constructs a `RemoteResultSet` encapsulating the specified result set

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `absolute(int row)`
  Moves the cursor to the given row number in this `ResultSet` object.
  `void`
  `afterLast()`
  Moves the cursor to the end of this `ResultSet` object, just after the last row.
  `void`
  `beforeFirst()`
  Moves the cursor to the front of this ResultSet object, just before the first row.
  `void`
  `cancelRowUpdates()`
  Cancels the updates made to the current row in this `ResultSet` object.
  `void`
  `clearWarnings()`
  Clears all warnings reported on this `ResultSet` object.
  `void`
  `close()`
  Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.
  `void`
  `deleteRow()`
  Deletes the current row from this `ResultSet` object and from the underlying database.
  `int`
  `findColumn(String columnName)`
  Maps the given `ResultSet` column name to its `ResultSet` column index.
  `boolean`
  `first()`
  Moves the cursor to the first row in this `ResultSet` object.
  `Array`
  `getArray(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
  `Array`
  `getArray(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
  `InputStream`
  `getAsciiStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object a stream of ASCII characters.
  `InputStream`
  `getAsciiStream(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters.
  `BigDecimal`
  `getBigDecimal(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
  `BigDecimal`
  `getBigDecimal(int columnIndex, int scale)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
  `BigDecimal`
  `getBigDecimal(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
  `BigDecimal`
  `getBigDecimal(String columnName, int scale)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
  `InputStream`
  `getBinaryStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a binary stream of uninterpreted bytes.
  `InputStream`
  `getBinaryStream(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted bytes.
  `Blob`
  `getBlob(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
  `Blob`
  `getBlob(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
  `boolean`
  `getBoolean(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
  `boolean`
  `getBoolean(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
  `byte`
  `getByte(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` in the Java programming language.
  `byte`
  `getByte(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `byte[]`
  `getBytes(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `byte[]`
  `getBytes(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `Reader`
  `getCharacterStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
  `Reader`
  `getCharacterStream(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
  `Clob`
  `getClob(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
  `Clob`
  `getClob(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
  `int`
  `getConcurrency()`
  Returns the concurrency mode of this `ResultSet` object.
  `String`
  `getCursorName()`
  Gets the name of the SQL cursor used by this `ResultSet` object.
  `Date`
  `getDate(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `Date`
  `getDate(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `Date`
  `getDate(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language..
  `Date`
  `getDate(String columnName, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `double`
  `getDouble(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
  `double`
  `getDouble(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
  `int`
  `getFetchDirection()`
  Returns the fetch direction for this `ResultSet` object.
  `int`
  `getFetchSize()`
  Returns the fetch size for this `ResultSet` object.
  `float`
  `getFloat(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
  `float`
  `getFloat(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
  `int`
  `getHoldability()`
  Retrieves the holdability of this ResultSet object .
  `int`
  `getInt(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `int` in the Java programming language.
  `int`
  `getInt(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `int` in the Java programming language.
  `long`
  `getLong(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
  `long`
  `getLong(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
  `ResultSetMetaData`
  `getMetaData()`
  Retrieves the number, types and properties of this `ResultSet` object's columns.
  `Reader`
  `getNCharacterStream(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
  `Reader`
  `getNCharacterStream(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
  `NClob`
  `getNClob(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
  `NClob`
  `getNClob(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
  `String`
  `getNString(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
  `String`
  `getNString(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
  `Object`
  `getObject(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.
  `Object`
  `getObject(int columnIndex, Map<String,Class<?>> map)`
  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
  `Object`
  `getObject(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.
  `Object`
  `getObject(String columnLabel, Map<String,Class<?>> map)`
  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
  `Ref`
  `getRef(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `Ref`
  `getRef(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `static ResultSet`
  `getResultSet(ResultSetProviderInterface provider)`
  Gets a local or remote result set.
  `int`
  `getRow()`
  Retrieves the current row number.
  `RowId`
  `getRowId(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
  `RowId`
  `getRowId(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
  `short`
  `getShort(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
  `short`
  `getShort(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
  `SQLWarning`
  `getSQLWarnings()`
  `SQLXML`
  `getSQLXML(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
  `SQLXML`
  `getSQLXML(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
  `Statement`
  `getStatement()`
  Returns the `Statement` object that produced this `ResultSet` object.
  `String`
  `getString(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language.
  `String`
  `getString(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language..
  `Time`
  `getTime(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(String columnName, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Timestamp`
  `getTimestamp(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(String columnName)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(String columnName, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `int`
  `getType()`
  Returns the type of this `ResultSet` object.
  `InputStream`
  `getUnicodeStream(int columnIndex)`
  Deprecated.
  `InputStream`
  `getUnicodeStream(String columnName)`
  Deprecated.
  `URL`
  `getURL(int columnIndex)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
  `URL`
  `getURL(String columnName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
  `SQLWarning`
  `getWarnings()`
  Returns the first warning reported by calls on this `ResultSet` object.
  `void`
  `insertRow()`
  Inserts the contents of the insert row into this `ResultSet` object and into the database.
  `boolean`
  `isAfterLast()`
  Indicates whether the cursor is after the last row in this `ResultSet` object
  `boolean`
  `isBeforeFirst()`
  Indicates whether the cursor is before the first row in this `ResultSet` object
  `boolean`
  `isClosed()`
  Retrieves whether this ResultSet object has been closed.
  `boolean`
  `isFirst()`
  Indicates whether the cursor is on the first row of this `ResultSet` object.
  `boolean`
  `isLast()`
  Indicates whether the cursor is on the last row of this `ResultSet` object.
  `boolean`
  `isWrapperFor(Class<?> iface)`
  Returns true if this either implements the interface argument or is directly or indirectly a wrapper for an object that does.
  `boolean`
  `last()`
  Moves the cursor to the last row in this `ResultSet` object.
  `void`
  `moveToCurrentRow()`
  Moves the cursor to the remembered cursor position, usually the current row.
  `void`
  `moveToInsertRow()`
  Moves the cursor to the insert row.
  `boolean`
  `next()`
  Moves the cursor down one row from its current position.
  `boolean`
  `previous()`
  Moves the cursor to the previous row in this `ResultSet` object.
  `void`
  `refreshRow()`
  Refreshes the current row with its most recent value in the database.
  `boolean`
  `relative(int rows)`
  Moves the cursor a relative number of rows, either positive or negative.
  `boolean`
  `rowDeleted()`
  Indicates whether a row has been deleted.
  `boolean`
  `rowInserted()`
  Indicates whether the current row has had an insertion.
  `boolean`
  `rowUpdated()`
  Indicates whether the current row has been updated.
  `void`
  `setFetchDirection(int direction)`
  Gives a hint as to the direction in which the rows in this `ResultSet` object will be processed.
  `void`
  `setFetchSize(int rows)`
  Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this `ResultSet` object.
  `<T> T`
  `unwrap(Class<T> iface)`
  Returns an object that implements the given interface to allow access to non-standard methods, or standard methods not exposed by the proxy.
  `void`
  `updateArray(int columnIndex, Array x)`
  Updates the designated column with a `java.sql.Array` value.
  `void`
  `updateArray(String columnName, Array x)`
  Updates the designated column with a `java.sql.Array` value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x, int length)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x, long length)`
  Updates the designated column with an ascii stream value, which will have the specified number of bytes.
  `void`
  `updateAsciiStream(String columnLabel, InputStream x)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(String columnName, InputStream x, int length)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(String columnLabel, InputStream x, long length)`
  Updates the designated column with an ascii stream value, which will have the specified number of bytes.
  `void`
  `updateBigDecimal(int columnIndex, BigDecimal x)`
  Updates the designated column with a `java.math.BigDecimal` value.
  `void`
  `updateBigDecimal(String columnName, BigDecimal x)`
  Updates the designated column with a `java.math.BigDecimal` value.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x, int length)`
  Updates the designated column with a binary stream value.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x, long length)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(String columnLabel, InputStream x)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(String columnName, InputStream x, int length)`
  Updates the designated column with a binary stream value.
  `void`
  `updateBinaryStream(String columnLabel, InputStream x, long length)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBlob(int columnIndex, InputStream inputStream)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(int columnIndex, InputStream inputStream, long length)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(int columnIndex, Blob x)`
  Updates the designated column with a `java.sql.Blob` value.
  `void`
  `updateBlob(String columnLabel, InputStream inputStream)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(String columnLabel, InputStream inputStream, long length)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(String columnName, Blob x)`
  Updates the designated column with a `java.sql.Blob` value.
  `void`
  `updateBoolean(int columnIndex, boolean x)`
  Updates the designated column with a `boolean` value.
  `void`
  `updateBoolean(String columnName, boolean x)`
  Updates the designated column with a `boolean` value.
  `void`
  `updateByte(int columnIndex, byte x)`
  Updates the designated column with a `byte` value.
  `void`
  `updateByte(String columnName, byte x)`
  Updates the designated column with a `byte` value.
  `void`
  `updateBytes(int columnIndex, byte[] x)`
  Updates the designated column with a `byte` array value.
  `void`
  `updateBytes(String columnName, byte[] x)`
  Updates the designated column with a `byte` array value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x, int length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnLabel, Reader reader)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnName, Reader x, int length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnLabel, Reader reader, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateClob(int columnIndex, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(int columnIndex, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(int columnIndex, Clob x)`
  Updates the designated column with a `java.sql.Clob` value.
  `void`
  `updateClob(String columnLabel, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(String columnLabel, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(String columnName, Clob x)`
  Updates the designated column with a `java.sql.Clob` value.
  `void`
  `updateDate(int columnIndex, Date x)`
  Updates the designated column with a `java.sql.Date` value.
  `void`
  `updateDate(String columnName, Date x)`
  Updates the designated column with a `java.sql.Date` value.
  `void`
  `updateDouble(int columnIndex, double x)`
  Updates the designated column with a `double` value.
  `void`
  `updateDouble(String columnName, double x)`
  Updates the designated column with a `double` value.
  `void`
  `updateFloat(int columnIndex, float x)`
  Updates the designated column with a `float` value.
  `void`
  `updateFloat(String columnName, float x)`
  Updates the designated column with a `float` value.
  `void`
  `updateInt(int columnIndex, int x)`
  Updates the designated column with an `int` value.
  `void`
  `updateInt(String columnName, int x)`
  Updates the designated column with an `int` value.
  `void`
  `updateLong(int columnIndex, long x)`
  Updates the designated column with a `long` value.
  `void`
  `updateLong(String columnName, long x)`
  Updates the designated column with a `long` value.
  `void`
  `updateNCharacterStream(int columnIndex, Reader x)`
  `void`
  `updateNCharacterStream(int columnIndex, Reader x, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateNCharacterStream(String columnLabel, Reader reader)`
  Updates the designated column with a character stream value.
  `void`
  `updateNCharacterStream(String columnLabel, Reader reader, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateNClob(int columnIndex, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(int columnIndex, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(int columnIndex, NClob clob)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, NClob clob)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNString(int columnIndex, String string)`
  Updates the designated column with a String value.
  `void`
  `updateNString(String columnLabel, String string)`
  Updates the designated column with a String value.
  `void`
  `updateNull(int columnIndex)`
  Gives a nullable column a null value.
  `void`
  `updateNull(String columnName)`
  Updates the designated column with a `null` value.
  `void`
  `updateObject(int columnIndex, Object x)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(int columnIndex, Object x, int scale)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(String columnName, Object x)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(String columnName, Object x, int scale)`
  Updates the designated column with an `Object` value.
  `void`
  `updateRef(int columnIndex, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  `updateRef(String columnName, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  `updateRow()`
  Updates the underlying database with the new contents of the current row of this `ResultSet` object.
  `void`
  `updateRowId(int columnIndex, RowId x)`
  Updates the designated column with a RowId value.
  `void`
  `updateRowId(String columnLabel, RowId x)`
  Updates the designated column with a RowId value.
  `void`
  `updateShort(int columnIndex, short x)`
  Updates the designated column with a `short` value.
  `void`
  `updateShort(String columnName, short x)`
  Updates the designated column with a `short` value.
  `void`
  `updateSQLXML(int columnIndex, SQLXML xmlObject)`
  Updates the designated column with a java.sql.SQLXML value.
  `void`
  `updateSQLXML(String columnLabel, SQLXML xmlObject)`
  Updates the designated column with a java.sql.SQLXML value.
  `void`
  `updateString(int columnIndex, String x)`
  Updates the designated column with a `String` value.
  `void`
  `updateString(String columnName, String x)`
  Updates the designated column with a `String` value.
  `void`
  `updateTime(int columnIndex, Time x)`
  Updates the designated column with a `java.sql.Time` value.
  `void`
  `updateTime(String columnName, Time x)`
  Updates the designated column with a `java.sql.Time` value.
  `void`
  `updateTimestamp(int columnIndex, Timestamp x)`
  Updates the designated column with a `java.sql.Timestamp` value.
  `void`
  `updateTimestamp(String columnName, Timestamp x)`
  Updates the designated column with a `java.sql.Timestamp` value.
  `boolean`
  `wasNull()`
  Reports whether the last column read had a value of SQL `NULL`.

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteResultSet

    public RemoteResultSet() throws RemoteException
    Constructs a default instance. A public constructor is provided since the compiler has been previosly generating a default public constructor. Use `RemoteResultSet(ResultSet resultSet)` instead of this constructor.
    Throws:
      `RemoteException` - If a network anomaly is encountered.

  - ### RemoteResultSet

    protected RemoteResultSet(Class theClass) throws RemoteException
    Constructs an instance using RMI socket factories appropriate for the specified class.
    Parameters:
      `theClass` - The class to use when determine which RMI socket factories are to be used when exporting a remote object.
    Throws:
      `RemoteException` - if unable to export the remote object.

  - ### RemoteResultSet

    public RemoteResultSet(ResultSet resultSet) throws RemoteException
    Constructs a `RemoteResultSet` encapsulating the specified result set
    Parameters:
      `resultSet` - the result set to be wrapped by this object.
    Throws:
      `RemoteException` - for any rmi network error.

- ## Method Details

  - ### close

    public void close() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.

    Note: A `ResultSet` object is automatically closed by the `Statement` object that generated it when that `Statement` object is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A `ResultSet` object is also automatically closed when its garbage collected.

    Specified by:
      `close` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.close()`

  - ### getDate

    public Date getDate(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
    Specified by:
      `getDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(int)`

  - ### next

    public boolean next() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor down one row from its current position. A `ResultSet` cursor is initially positioned before the first row; the first call to the method next makes the first row the current row; the second call makes the second row the current row, and so on.

    If an input stream is open for the current row, a call to the method `next` will implicitly close it. A `ResultSet` object's warning chain is cleared when a new row is read.

    Specified by:
      `next` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the new current row is valid; `false` if there are no more rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.next()`

  - ### getString

    public String getString(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language.
    Specified by:
      `getString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getString(int)`

  - ### getString

    public String getString(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language..
    Specified by:
      `getString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if teh value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getString(java.lang.String)`

  - ### getMetaData

    public ResultSetMetaData getMetaData() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the number, types and properties of this `ResultSet` object's columns.
    Specified by:
      `getMetaData` in interface `RemoteResultSetInterface`
    Returns:
      the description of this `ResultSet` object's columns
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getMetaData()`

  - ### wasNull

    public boolean wasNull() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Reports whether the last column read had a value of SQL `NULL`. Note that you must first call one of the `getXXX` methods on a column to try to read its value and then call the method `wasNull` to see if the value read was SQL `NULL`.
    Specified by:
      `wasNull` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the last column value read was SQL `NULL` and `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.wasNull()`

  - ### getBoolean

    public boolean getBoolean(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
    Specified by:
      `getBoolean` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is false
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBoolean(int)`

  - ### getByte

    public byte getByte(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` in the Java programming language.
    Specified by:
      `getByte` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getByte(int)`

  - ### getShort

    public short getShort(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
    Specified by:
      `getShort` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getShort(int)`

  - ### getInt

    public int getInt(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `int` in the Java programming language.
    Specified by:
      `getInt` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getInt(int)`

  - ### getLong

    public long getLong(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
    Specified by:
      `getLong` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getLong(int)`

  - ### getDouble

    public double getDouble(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
    Specified by:
      `getDouble` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDouble(int)`

  - ### getFloat

    public float getFloat(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
    Specified by:
      `getFloat` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFloat(int)`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
    Specified by:
      `getBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `scale` - the number of digits to the right of the decimal point
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(int, int)`

  - ### getBytes

    public byte[] getBytes(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language. The bytes represent the raw values returned by the driver.
    Specified by:
      `getBytes` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBytes(int)`

  - ### getTime

    public Time getTime(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
    Specified by:
      `getTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(int)`

  - ### getTimestamp

    public Timestamp getTimestamp(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
    Specified by:
      `getTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(int)`

  - ### getAsciiStream

    public InputStream getAsciiStream(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into ASCII.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Specified by:
      `getAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of one-byte ASCII characters; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getAsciiStream(int)`

  - ### getUnicodeStream

    public InputStream getUnicodeStream(int columnIndex) throws SQLException, RemoteException
    Deprecated.
    Description copied from interface: `RemoteResultSetInterface`
    This method has been deprecated. Deprecated. use getCharacterStream in place of getUnicodeStream

    Gets the value of a column in the current row as a stream of Gets the value of the designated column in the current row of this `ResultSet` object as as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must be Java UTF-8, as specified in the Java virtual machine specification.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Specified by:
      `getUnicodeStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getUnicodeStream(int)`

  - ### getBinaryStream

    public InputStream getBinaryStream(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a binary stream of uninterpreted bytes. The value can be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARBINARY` values.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Specified by:
      `getBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of uninterpreted bytes; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBinaryStream(int)`

  - ### getBoolean

    public boolean getBoolean(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
    Specified by:
      `getBoolean` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `false`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBoolean(java.lang.String)`

  - ### getByte

    public byte getByte(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
    Specified by:
      `getByte` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getByte(java.lang.String)`

  - ### getShort

    public short getShort(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
    Specified by:
      `getShort` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getShort(java.lang.String)`

  - ### getInt

    public int getInt(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as an `int` in the Java programming language.
    Specified by:
      `getInt` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getInt(java.lang.String)`

  - ### getLong

    public long getLong(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
    Specified by:
      `getLong` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getLong(java.lang.String)`

  - ### getDouble

    public double getDouble(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
    Specified by:
      `getDouble` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDouble(java.lang.String)`

  - ### getFloat

    public float getFloat(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
    Specified by:
      `getFloat` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFloat(java.lang.String)`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(String columnName, int scale) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
    Specified by:
      `getBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `scale` - the number of digits to the right of the decimal point
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(java.lang.String, int)`

  - ### getBytes

    public byte[] getBytes(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language. The bytes represent the raw values returned by the driver.
    Specified by:
      `getBytes` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBytes(java.lang.String)`

  - ### getDate

    public Date getDate(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language..
    Specified by:
      `getDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(java.lang.String)`

  - ### getTime

    public Time getTime(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
    Specified by:
      `getTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(java.lang.String)`

  - ### getTimestamp

    public Timestamp getTimestamp(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
    Specified by:
      `getTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(java.lang.String)`

  - ### getAsciiStream

    public InputStream getAsciiStream(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into ASCII.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Specified by:
      `getAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of one-byte ASCII characters. If the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getAsciiStream(java.lang.String)`

  - ### getUnicodeStream

    public InputStream getUnicodeStream(String columnName) throws SQLException, RemoteException
    Deprecated.
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must be Java UTF-8, as defined in the Java virtual machine specification.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Specified by:
      `getUnicodeStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getUnicodeStream(java.lang.String)`

  - ### getBinaryStream

    public InputStream getBinaryStream(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted bytes. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARBINARY` values.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Specified by:
      `getBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of uninterpreted bytes; if the value is SQL `NULL`, the result is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBinaryStream(java.lang.String)`

  - ### getSQLWarnings

    public SQLWarning getSQLWarnings() throws SQLException, RemoteException
    Throws:
      `SQLException`
      `RemoteException`

  - ### clearWarnings

    public void clearWarnings() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Clears all warnings reported on this `ResultSet` object. After this method is called, the method `getWarnings` returns `null` until a new warning is reported for this `ResultSet` object.
    Specified by:
      `clearWarnings` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.clearWarnings()`

  - ### getCursorName

    public String getCursorName() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the name of the SQL cursor used by this `ResultSet` object.

    In SQL, a result table is retrieved through a cursor that is named. The current row of a result set can be updated or deleted using a positioned update/delete statement that references the cursor name. To insure that the cursor has the proper isolation level to support update, the cursor's `select` statement should be of the form 'select for update'. If the 'for update' clause is omitted, the positioned updates may fail.

    The JDBC API supports this SQL feature by providing the name of the SQL cursor used by a `ResultSet` object. The current row of a `ResultSet` object is also the current row of this SQL cursor.

    Note: If positioned update is not supported, a `SQLException` is thrown.

    Specified by:
      `getCursorName` in interface `RemoteResultSetInterface`
    Returns:
      the SQL name for this `ResultSet` object's cursor
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCursorName()`

  - ### getObject

    public Object getObject(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.

    This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC specification.

    This method may also be used to read datatabase-specific abstract data types. In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When a column contains a structured or distinct value, the behavior of this method is as if it were a call to: `getObject(columnIndex, this.getStatement().getConnection().getTypeMap())`.

    Specified by:
      `getObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a `java.lang.Object` holding the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getObject(int)`

  - ### getObject

    public Object getObject(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.

    This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC specification.

    This method may also be used to read datatabase-specific abstract data types. In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When a column contains a structured or distinct value, the behavior of this method is as if it were a call to: `getObject(columnIndex, this.getStatement().getConnection().getTypeMap())`.

    Specified by:
      `getObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the SQL name of the column
    Returns:
      a `java.lang.Object` holding the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getObject(java.lang.String)`

  - ### findColumn

    public int findColumn(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Maps the given `ResultSet` column name to its `ResultSet` column index.
    Specified by:
      `findColumn` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
    Returns:
      the column index of the given column name
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.findColumn(java.lang.String)`

  - ### getCharacterStream

    public Reader getCharacterStream(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
    Specified by:
      `getCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCharacterStream(int)`

  - ### getCharacterStream

    public Reader getCharacterStream(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
    Specified by:
      `getCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCharacterStream(java.lang.String)`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
    Specified by:
      `getBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value (full precision); if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(int)`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
    Specified by:
      `getBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the column name
    Returns:
      the column value (full precision); if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(java.lang.String)`

  - ### isBeforeFirst

    public boolean isBeforeFirst() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the cursor is before the first row in this `ResultSet` object
    Specified by:
      `isBeforeFirst` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is before the first row; `false` if the cursor is at any other position or the result set contains no rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isBeforeFirst()`

  - ### isAfterLast

    public boolean isAfterLast() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the cursor is after the last row in this `ResultSet` object
    Specified by:
      `isAfterLast` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is after the last row; `false` if the cursor is at any other position or the result set contains no rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isAfterLast()`

  - ### isFirst

    public boolean isFirst() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the cursor is on the first row of this `ResultSet` object.
    Specified by:
      `isFirst` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on the first row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isFirst()`

  - ### isLast

    public boolean isLast() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the cursor is on the last row of this `ResultSet` object. Note: Calling this method `isLast` may be expensive because the JDBC drive might need to fetch ahead one row in order to determine whether the current row is the last rown in the result set.
    Specified by:
      `isLast` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on the last row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isLast()`

  - ### beforeFirst

    public void beforeFirst() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the front of this ResultSet object, just before the first row. This method has no effect if the result set contains no rows.
    Specified by:
      `beforeFirst` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.beforeFirst()`

  - ### afterLast

    public void afterLast() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the end of this `ResultSet` object, just after the last row. This method has no effect if the result set contains no rows.
    Specified by:
      `afterLast` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.afterLast()`

  - ### first

    public boolean first() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the first row in this `ResultSet` object.
    Specified by:
      `first` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on a valid row; `false` if there are no rows in the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.first()`

  - ### last

    public boolean last() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the last row in this `ResultSet` object.
    Specified by:
      `last` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on a valid row; `false` if there are no rows in the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.last()`

  - ### getRow

    public int getRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the current row number. The first row is number 1, the second number 2, and so on.
    Specified by:
      `getRow` in interface `RemoteResultSetInterface`
    Returns:
      the current row number; `0` if there is no current row
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRow()`

  - ### absolute

    public boolean absolute(int row) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the given row number in this `ResultSet` object.

    If the row number is positive, the cursor moves to the given row number with respect to the beginning of the result set. The first row is row 1, the second is row 2, and so on.

    If the given row number is negative, the cursor moves to an absolute row position with respect to the end of the result set. For example, calling the method `absolute(-1)` positions the cursor on the last row; calling the method `absolute(-2)` moves the cursor to the next-to-last row, and so on.

    An attempt to position the cursor beyond the first/last row in the result set leaves the cursor before the first row or after the last row.

    Note: Calling `absolute(1)` is the same as calling `first()`. Calling `absolute(-1)` is the same as calling `last()`.

    Specified by:
      `absolute` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on the result set; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.absolute(int)`

  - ### relative

    public boolean relative(int rows) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling `relative(0)` is valid, but does not change the cursor position.

    Note: Calling the method `relative(1)` is different from calling the method `next()` because is makes sense to call `next()` when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

    Specified by:
      `relative` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on a row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.relative(int)`

  - ### previous

    public boolean previous() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the previous row in this `ResultSet` object.

    Note: Calling the method `previous()` is not the same as calling the method `relative(-1)` because it makes sense to call `previous()` when there is no current row.

    Specified by:
      `previous` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the cursor is on a valid row; `false` if it is off the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.previous()`

  - ### setFetchDirection

    public void setFetchDirection(int direction) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gives a hint as to the direction in which the rows in this `ResultSet` object will be processed. The initial value is determined by the `Statement` object that produced this `ResultSet` object. The fetch direction may be changed at any time.
    Specified by:
      `setFetchDirection` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.setFetchDirection(int)`

  - ### getFetchDirection

    public int getFetchDirection() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the fetch direction for this `ResultSet` object.
    Specified by:
      `getFetchDirection` in interface `RemoteResultSetInterface`
    Returns:
      the current fetch direction for this `ResultSet` object
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFetchDirection()`

  - ### setFetchSize

    public void setFetchSize(int rows) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this `ResultSet` object. If the fetch size specified is zero, the JDBC driver ignores the value and is free to make its own best guess as to what the fetch size should be. The default value is set by the `Statement` object that created the result set. The fetch size may be changed at any time.
    Specified by:
      `setFetchSize` in interface `RemoteResultSetInterface`
    Parameters:
      `rows` - the number of rows to fetch
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.setFetchSize(int)`

  - ### getFetchSize

    public int getFetchSize() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the fetch size for this `ResultSet` object.
    Specified by:
      `getFetchSize` in interface `RemoteResultSetInterface`
    Returns:
      the current fetch size for this `ResultSet` object
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFetchSize()`

  - ### getType

    public int getType() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the type of this `ResultSet` object. The type is determined by the `Statement` object that created the result set.
    Specified by:
      `getType` in interface `RemoteResultSetInterface`
    Returns:
      `TYPE_FORWARD_ONLY`, `TYPE_SCROLL_INSENSITIVE`, or `TYPE_SCROLL_SENSITIVE`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getType()`

  - ### getConcurrency

    public int getConcurrency() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the concurrency mode of this `ResultSet` object. The concurrency used is determined by the `Statement` object that created the result set.
    Specified by:
      `getConcurrency` in interface `RemoteResultSetInterface`
    Returns:
      the concurrency type, either `CONCUR_READ_ONLY` or `CONCUR_UPDATABLE`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getConcurrency()`

  - ### rowUpdated

    public boolean rowUpdated() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the current row has been updated. The value returned depends on whether or not the result set can detect updates.
    Specified by:
      `rowUpdated` in interface `RemoteResultSetInterface`
    Returns:
      `true` if the row has been visibly updated by the owner or another, and updates are detected
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowUpdated()`

  - ### rowInserted

    public boolean rowInserted() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether the current row has had an insertion. The value returned depends on whether or not this `ResultSet` object can detect visible inserts.
    Specified by:
      `rowInserted` in interface `RemoteResultSetInterface`
    Returns:
      `true` if a row has had an insertion and insertions are detected; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowInserted()`

  - ### rowDeleted

    public boolean rowDeleted() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Indicates whether a row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not this `ResultSet` object can detect deletions.
    Specified by:
      `rowDeleted` in interface `RemoteResultSetInterface`
    Returns:
      `true` if a row was deleted and deletions are detected; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowDeleted()`

  - ### updateNull

    public void updateNull(int columnIndex) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Gives a nullable column a null value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateNull` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateNull(int)`

  - ### updateBoolean

    public void updateBoolean(int columnIndex, boolean x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `boolean` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBoolean` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBoolean(int, boolean)`

  - ### updateShort

    public void updateShort(int columnIndex, short x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `short` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateShort` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateShort(int, short)`

  - ### updateByte

    public void updateByte(int columnIndex, byte x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `byte` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateByte` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateByte(int, byte)`

  - ### updateInt

    public void updateInt(int columnIndex, int x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `int` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateInt` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateInt(int,int)`

  - ### updateLong

    public void updateLong(int columnIndex, long x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `long` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateLong` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateLong(int, long)`

  - ### updateFloat

    public void updateFloat(int columnIndex, float x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `float` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateFloat` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateFloat(int, float)`

  - ### updateDouble

    public void updateDouble(int columnIndex, double x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `double` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateDouble` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDouble(int, double)`

  - ### updateBigDecimal

    public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.math.BigDecimal` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBigDecimal(int, java.math.BigDecimal)`

  - ### updateString

    public void updateString(int columnIndex, String x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `String` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateString(int, java.lang.String)`

  - ### updateBytes

    public void updateBytes(int columnIndex, byte[] x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `byte` array value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBytes` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBytes(int, byte[])`

  - ### updateDate

    public void updateDate(int columnIndex, Date x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Date` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDate(int, java.sql.Date)`

  - ### updateTime

    public void updateTime(int columnIndex, Time x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Time` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTime(int, java.sql.Time)`

  - ### updateTimestamp

    public void updateTimestamp(int columnIndex, Timestamp x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Timestamp` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTimestamp(int, java.sql.Timestamp)`

  - ### updateAsciiStream

    public void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateAsciiStream(int, java.io.InputStream, int)`

  - ### updateBinaryStream

    public void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBinaryStream(int, InputStream, int)`

  - ### updateCharacterStream

    public void updateCharacterStream(int columnIndex, Reader x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateCharacterStream(int, java.io.Reader, int)`

  - ### updateObject

    public void updateObject(int columnIndex, Object x, int scale) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `scale` - for `java.sql.Types.DECIMA` or `java.sql.Types.NUMERIC` types, this is the number of digits after the decimal point. For all other types this value will be ignored.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(int, java.lang.Object, int)`

  - ### updateObject

    public void updateObject(int columnIndex, Object x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(int, java.lang.Object)`

  - ### updateNull

    public void updateNull(String columnName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `null` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateNull` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateNull(java.lang.String)`

  - ### updateBoolean

    public void updateBoolean(String columnName, boolean x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `boolean` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBoolean` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBoolean(java.lang.String, boolean)`

  - ### updateShort

    public void updateShort(String columnName, short x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `short` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateShort` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateShort(java.lang.String, short)`

  - ### updateByte

    public void updateByte(String columnName, byte x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `byte` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateByte` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateByte(java.lang.String, byte)`

  - ### updateInt

    public void updateInt(String columnName, int x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `int` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateInt` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateInt(java.lang.String, int)`

  - ### updateLong

    public void updateLong(String columnName, long x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `long` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateLong` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateLong(java.lang.String, long)`

  - ### updateFloat

    public void updateFloat(String columnName, float x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `float` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateFloat` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateFloat(java.lang.String,float)`

  - ### updateDouble

    public void updateDouble(String columnName, double x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `double` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateDouble` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDouble(java.lang.String, double)`

  - ### updateBigDecimal

    public void updateBigDecimal(String columnName, BigDecimal x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.math.BigDecimal` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBigDecimal` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBigDecimal(java.lang.String, java.math.BigDecimal)`

  - ### updateString

    public void updateString(String columnName, String x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `String` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateString(java.lang.String, java.lang.String)`

  - ### updateBytes

    public void updateBytes(String columnName, byte[] x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `byte` array value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBytes` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBytes(java.lang.String, byte[])`

  - ### updateDate

    public void updateDate(String columnName, Date x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Date` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDate(java.lang.String, java.sql.Date)`

  - ### updateTime

    public void updateTime(String columnName, Time x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Time` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTime(java.lang.String, java.sql.Time)`

  - ### updateTimestamp

    public void updateTimestamp(String columnName, Timestamp x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Timestamp` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTimestamp(java.lang.String, java.sql.Timestamp)`

  - ### updateAsciiStream

    public void updateAsciiStream(String columnName, InputStream x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateAsciiStream(java.lang.String,java.io.InputStream, int)`

  - ### updateBinaryStream

    public void updateBinaryStream(String columnName, InputStream x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBinaryStream(java.lang.String,java.io.InputStream, int)`

  - ### updateCharacterStream

    public void updateCharacterStream(String columnName, Reader x, int length) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateCharacterStream(java.lang.String,java.io.Reader, int)`

  - ### updateObject

    public void updateObject(String columnName, Object x, int scale) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
      `scale` - for `java.sql.Types.DECIMA` or `java.sql.Types.NUMERIC` types, this is the number of digits after the decimal point. For all other types this value will be ignored.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(java.lang.String,java.lang.Object, int)`

  - ### updateObject

    public void updateObject(String columnName, Object x) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(java.lang.String,java.lang.Object)`

  - ### insertRow

    public void insertRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Inserts the contents of the insert row into this `ResultSet` object and into the database. The cursor must be on the insert row when this method is called.
    Specified by:
      `insertRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.insertRow()`

  - ### updateRow

    public void updateRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the underlying database with the new contents of the current row of this `ResultSet` object. This method cannot be called when the cursor is on the insert row.
    Specified by:
      `updateRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateRow()`

  - ### deleteRow

    public void deleteRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Deletes the current row from this `ResultSet` object and from the underlying database. This method cannot be called when the cursor is on the insert row.
    Specified by:
      `deleteRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.deleteRow()`

  - ### refreshRow

    public void refreshRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Refreshes the current row with its most recent value in the database. This method cannot be called when the cursor is on the insert row.

    The `refreshRow` method provides a way for an application to explicitly tell the JDBC driver to refetch a row(s) from the database. An application may want to call `refreshRow` when caching or prefetching is being done by the JDBC driver to fetch the latest value of a row from the database. The JDBC driver may actually refresh multiple rows at once if the fetch size is greater than one.

    All values are refetched subject to the transaction isolation level and cursor sensitivity. If `refreshRow` is called after calling an `updateXXX` method, but before calling the method `updateRow`, then the updates made to the row are lost. Calling the method `refreshRow` frequently will likely slow performance.

    Specified by:
      `refreshRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.refreshRow()`

  - ### cancelRowUpdates

    public void cancelRowUpdates() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Cancels the updates made to the current row in this `ResultSet` object. This method may be called after calling an `updateXXX` method(s) and before calling the method `updateRow` to roll back the updates made to a row. If no updates have been made or `updateRow` has already been called, this method has no effect.
    Specified by:
      `cancelRowUpdates` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.cancelRowUpdates()`

  - ### moveToInsertRow

    public void moveToInsertRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the insert row. The current cursor position is remembered while the cursor is positioned on the insert row. The insert row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the `updateXXX` methods prior to inserting the row into the result set. Only the `updateXXX`, `getXXX`, and `insertRow` methods may be called when the cursor is on the insert row. All of the columns in a result set must be given a value each time this method is called before calling `insertRow`. An `updateXXX` method must be called before a `getXXX` method can be called on a column value.
    Specified by:
      `moveToInsertRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.moveToInsertRow()`

  - ### moveToCurrentRow

    public void moveToCurrentRow() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Moves the cursor to the remembered cursor position, usually the current row. This method has no effect if the cursor is not on the insert row.
    Specified by:
      `moveToCurrentRow` in interface `RemoteResultSetInterface`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.moveToCurrentRow()`

  - ### getStatement

    public Statement getStatement() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the `Statement` object that produced this `ResultSet` object. If the result set was generated some other way, such as by a `DatabaseMetaData` method, this method returns `null`.
    Specified by:
      `getStatement` in interface `RemoteResultSetInterface`
    Returns:
      the `Statement` object that produce this `ResultSet` object or `null` if the result set was produced some other way
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getStatement()`

  - ### getRef

    public Ref getRef(int i) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
    Specified by:
      `getRef` in interface `RemoteResultSetInterface`
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Ref` object representing an SQL `REF` value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRef(int)`

  - ### getBlob

    public Blob getBlob(int i) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
    Specified by:
      `getBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Blob` object representing an SQL `BLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBlob(int)`

  - ### getClob

    public Clob getClob(int i) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
    Specified by:
      `getClob` in interface `RemoteResultSetInterface`
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Clob` object representing an SQL `CLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getClob(int)`

  - ### getArray

    public Array getArray(int i) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
    Specified by:
      `getArray` in interface `RemoteResultSetInterface`
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      an `Array` object representing the SQL `ARRAY` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getArray(int)`

  - ### getRef

    public Ref getRef(String colName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
    Specified by:
      `getRef` in interface `RemoteResultSetInterface`
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Ref` object representing the SQL `REF` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRef(java.lang.String)`

  - ### getBlob

    public Blob getBlob(String colName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
    Specified by:
      `getBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Blob` object representing the SQL `BLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBlob(java.lang.String)`

  - ### getClob

    public Clob getClob(String colName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
    Specified by:
      `getClob` in interface `RemoteResultSetInterface`
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Clob` object representing the SQL `CLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getClob(java.lang.String)`

  - ### getArray

    public Array getArray(String colName) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
    Specified by:
      `getArray` in interface `RemoteResultSetInterface`
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      an `Array` object representing the SQL `ARRAY` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getArray(java.lang.String)`

  - ### getDate

    public Date getDate(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the date if the underlying database does not store timezone information.
    Specified by:
      `getDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the date
    Returns:
      the column value as a `java.sql.Date` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(int, java.util.Calendar)`

  - ### getDate

    public Date getDate(String columnName, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the date if the underlying database does not store timezone information.
    Specified by:
      `getDate` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the date
    Returns:
      the column value as a `java.sql.Date` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(java.lang.String, java.util.Calendar)`

  - ### getTime

    public Time getTime(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the time if the underlying database does not store timezone information.
    Specified by:
      `getTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the time
    Returns:
      the column value as a `java.sql.Time` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(int, java.util.Calendar)`

  - ### getTime

    public Time getTime(String columnName, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the time if the underlying database does not store timezone information.
    Specified by:
      `getTime` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the time
    Returns:
      the column value as a `java.sql.Time` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(java.lang.String, java.util.Calendar)`

  - ### getTimestamp

    public Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.
    Specified by:
      `getTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the timestamp
    Returns:
      the column value as a `java.sql.Timestamp` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(int, java.util.Calendar)`

  - ### getTimestamp

    public Timestamp getTimestamp(String columnName, Calendar cal) throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.
    Specified by:
      `getTimestamp` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the timestamp
    Returns:
      the column value as a `java.sql.Timestamp` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(java.lang.String, java.util.Calendar)`

  - ### getWarnings

    public SQLWarning getWarnings() throws SQLException, RemoteException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the first warning reported by calls on this `ResultSet` object. Subsequent warnings on this `ResultSet` object will be chained to the `SQLWarning` object that this method returns.

    The warning chain is automatically cleared each time a new row is read.

    Note: This warning chain only covers warnings caused by `ResultSet` methods. Any warning caused by `Statement` methods (such as reading OUT parameters) will be chained on the `Statement` object.

    Specified by:
      `getWarnings` in interface `RemoteResultSetInterface`
    Returns:
      the first `SQLWarning` object reported or `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getWarnings()`

  - ### getURL

    public URL getURL(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
    Specified by:
      `getURL` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value as a `java.net.URL` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.getURL(int)`

  - ### getURL

    public URL getURL(String columnName) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
    Specified by:
      `getURL` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the SQL name of the column
    Returns:
      the column value as a `java.net.URL` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.getURL(String)`

  - ### updateRef

    public void updateRef(int columnIndex, Ref x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Ref` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateRef` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateRef(int, java.sql.Ref)`

  - ### updateRef

    public void updateRef(String columnName, Ref x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Ref` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateRef` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateRef(java.lang.String, java.sql.Ref)`

  - ### updateBlob

    public void updateBlob(int columnIndex, Blob x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Blob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateBlob(int, java.sql.Blob)`

  - ### updateBlob

    public void updateBlob(String columnName, Blob x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Blob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateBlob(java.lang.String, java.sql.Blob)`

  - ### updateClob

    public void updateClob(int columnIndex, Clob x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Clob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateClob(int, java.sql.Clob)`

  - ### updateClob

    public void updateClob(String columnName, Clob x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Clob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateClob(java.lang.String, java.sql.Clob)`

  - ### updateArray

    public void updateArray(int columnIndex, Array x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Array` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateArray` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateArray(int, java.sql.Array)`

  - ### updateArray

    public void updateArray(String columnName, Array x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a `java.sql.Array` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Specified by:
      `updateArray` in interface `RemoteResultSetInterface`
    Parameters:
      `columnName` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
    See Also:
      - `ResultSet.updateArray(java.lang.String, java.sql.Array)`

  - ### getHoldability

    public int getHoldability() throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the holdability of this ResultSet object .
    Specified by:
      `getHoldability` in interface `RemoteResultSetInterface`
    Returns:
      either ResultSet.HOLD_CURSORS_OVER_COMMIT or ResultSet.CLOSE_CURSORS_AT_COMMIT
    Throws:
      `SQLException` - If an error occurs.

  - ### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Specified by:
      `getNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL NULL, the value returned is null in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.

  - ### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Specified by:
      `getNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` -
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL NULL, the value returned is null in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.

  - ### getNClob

    public NClob getNClob(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
    Specified by:
      `getNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      a NClob object representing the SQL NCLOB value in the specified column
    Throws:
      `SQLException` - If an error occurs.

  - ### getNClob

    public NClob getNClob(String columnLabel) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
    Specified by:
      `getNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a NClob object representing the SQL NCLOB value in the specified column
    Throws:
      `SQLException` - If an error occurs.

  - ### getNString

    public String getNString(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Specified by:
      `getNString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL NULL, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.

  - ### getNString

    public String getNString(String columnLabel) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Specified by:
      `getNString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL NULL, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.

  - ### getObject

    public Object getObject(int columnIndex, Map<String,Class<?>> map) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language. If the value is an SQL NULL, the driver returns a Java null. This method uses the given Map object for the custom mapping of the SQL structured or distinct type that is being retrieved.
    Specified by:
      `getObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `map` - a `java.util.Map` object that contains the mapping from SQL type names to classes in the Java programming language
    Returns:
      an Object in the Java programming language representing the SQL value
    Throws:
      `SQLException` - If an error occurs.

  - ### getObject

    public Object getObject(String columnLabel, Map<String,Class<?>> map) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language. If the value is an SQL NULL, the driver returns a Java null. This method uses the given Map object for the custom mapping of the SQL structured or distinct type that is being retrieved.
    Specified by:
      `getObject` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `map` - a `java.util.Map` object that contains the mapping from SQL type names to classes in the Java programming language
    Returns:
      an Object in the Java programming language representing the SQL value
    Throws:
      `SQLException` - If an error occurs.

  - ### getRowId

    public RowId getRowId(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
    Specified by:
      `getRowId` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is a SQL NULL the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.

  - ### getRowId

    public RowId getRowId(String columnLabel) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
    Specified by:
      `getRowId` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is a SQL NULL the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.

  - ### getSQLXML

    public SQLXML getSQLXML(int columnIndex) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
    Specified by:
      `getSQLXML` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      a SQLXML object that maps an SQL XML value
    Throws:
      `SQLException` - If an error occurs.

  - ### getSQLXML

    public SQLXML getSQLXML(String columnLabel) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
    Specified by:
      `getSQLXML` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a SQLXML object that maps an SQL XML value
    Throws:
      `SQLException` - If an error occurs.

  - ### isClosed

    public boolean isClosed() throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Retrieves whether this ResultSet object has been closed. A ResultSet is closed if the method close has been called on it, or if it is automatically closed.
    Specified by:
      `isClosed` in interface `RemoteResultSetInterface`
    Returns:
      true if this ResultSet object is closed; false if it is still open
    Throws:
      `SQLException` - If an error occurs.

  - ### isWrapperFor

    public boolean isWrapperFor(Class<?> iface) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Returns true if this either implements the interface argument or is directly or indirectly a wrapper for an object that does. Returns false otherwise. If this implements the interface then return true, else if this is a wrapper then return the result of recursively calling isWrapperFor on the wrapped object. If this does not implement the interface and is not a wrapper, return false. This method should be implemented as a low-cost operation compared to unwrap so that callers can use this method to avoid expensive unwrap calls that may fail. If this method returns true then calling unwrap with the same argument should succeed.
    Specified by:
      `isWrapperFor` in interface `RemoteResultSetInterface`
    Parameters:
      `iface` - a Class defining an interface
    Returns:
      true if this implements the interface directly or indirectly wraps an object that does
    Throws:
      `SQLException` - If an error occurs.

  - ### unwrap

    public <T> T unwrap(Class<T> iface) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Returns an object that implements the given interface to allow access to non-standard methods, or standard methods not exposed by the proxy. If the receiver implements the interface then the result is the receiver or a proxy for the receiver. If the receiver is a wrapper and the wrapped object implements the interface then the result is the wrapped object or a proxy for the wrapped object. Otherwise return the the result of calling unwrap recursively on the wrapped object or a proxy for that result. If the receiver is not a wrapper and does not implement the interface, then an SQLException is thrown.
    Specified by:
      `unwrap` in interface `RemoteResultSetInterface`
    Parameters:
      `iface` - A Class defining an interface that the result must implement
    Returns:
      an object that implements the interface. May be a proxy for the actual implementing object
    Throws:
      `SQLException` - If an error occurs.

  - ### updateAsciiStream

    public void updateAsciiStream(int columnIndex, InputStream x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateAsciiStream

    public void updateAsciiStream(String columnLabel, InputStream x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateAsciiStream

    public void updateAsciiStream(int columnIndex, InputStream x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateAsciiStream

    public void updateAsciiStream(String columnLabel, InputStream x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with an ascii stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateAsciiStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBinaryStream

    public void updateBinaryStream(int columnIndex, InputStream x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBinaryStream

    public void updateBinaryStream(String columnLabel, InputStream x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBinaryStream

    public void updateBinaryStream(int columnIndex, InputStream x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBinaryStream

    public void updateBinaryStream(String columnLabel, InputStream x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBinaryStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBlob

    public void updateBlob(int columnIndex, InputStream inputStream) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `inputStream` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBlob

    public void updateBlob(String columnLabel, InputStream inputStream) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `inputStream` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBlob

    public void updateBlob(int columnIndex, InputStream inputStream, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `inputStream` - An object that contains the data to set the parameter value to
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateBlob

    public void updateBlob(String columnLabel, InputStream inputStream, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateBlob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `inputStream` - An object that contains the data to set the parameter value to
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateCharacterStream

    public void updateCharacterStream(int columnIndex, Reader x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the `java.io.Reader` object containing the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateCharacterStream

    public void updateCharacterStream(String columnLabel, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Throws:
      `SQLException` - If an error occurs.

  - ### updateCharacterStream

    public void updateCharacterStream(int columnIndex, Reader x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the `java.io.Reader` object containing the new column value
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateCharacterStream

    public void updateCharacterStream(String columnLabel, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Specified by:
      `updateCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateClob

    public void updateClob(int columnIndex, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateClob

    public void updateClob(String columnLabel, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateClob

    public void updateClob(int columnIndex, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateClob

    public void updateClob(String columnLabel, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` -
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex, Reader x) throws SQLException
    Specified by:
      `updateNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - the new column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex, Reader x, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNCharacterStream` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(int columnIndex, NClob clob) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `clob` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(String columnLabel, NClob clob) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `clob` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(int columnIndex, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(String columnLabel, Reader reader) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(int columnIndex, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
      `length` - the number of characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNClob

    public void updateNClob(String columnLabel, Reader reader, long length) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNClob` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
      `length` - the number of characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNString

    public void updateNString(int columnIndex, String string) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a String value. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `string` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### updateNString

    public void updateNString(String columnLabel, String string) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a String value. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateNString` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `string` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### updateRowId

    public void updateRowId(int columnIndex, RowId x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a RowId value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateRowId` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateRowId

    public void updateRowId(String columnLabel, RowId x) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a RowId value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateRowId` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the column value
    Throws:
      `SQLException` - If an error occurs.

  - ### updateSQLXML

    public void updateSQLXML(int columnIndex, SQLXML xmlObject) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.SQLXML value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateSQLXML` in interface `RemoteResultSetInterface`
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `xmlObject` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### updateSQLXML

    public void updateSQLXML(String columnLabel, SQLXML xmlObject) throws SQLException
    Description copied from interface: `RemoteResultSetInterface`
    Updates the designated column with a java.sql.SQLXML value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Specified by:
      `updateSQLXML` in interface `RemoteResultSetInterface`
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `xmlObject` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.

  - ### getResultSet

    public static ResultSet getResultSet(ResultSetProviderInterface provider) throws TransportException, RemoteException
    Gets a local or remote result set. This method is a convenience method that will return the appropriate result set. It first tries to get a local result set from the `provider`. If this is unsuccessful, it then attempts to get a remote result set.

    See the ResultSet Usage overview documentation for an example of how this convenience method should be used.

    Parameters:
      `provider` - the result set provider
    Returns:
      the result set
    Throws:
      `TransportException` - if an error occurs creating the result set
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.wasNull()`